Subject: bug#426: lxc: cannot start Fedora30 and Debian Stretch in LXC containers

From: Mark Hindley <[email-masked]>
Date: Fri, 24 Apr 2020 18:02:25 +0100

Ryutaroh,

Thanks for this.

On Fri, 24 Apr 2020 18:47:13 +0900 (JST) Ryutaroh Matsumoto <[email-masked]> wrote:
> Package: lxc
> Version: 1:3.1.0+really3.0.3-8
> Severity: grave
> Justification: renders package unusable
> 
> Dear Maintainer,
> 
> With the default setting, Devuan LXC package cannot start Fedora 30 and
> Debian Stretch in LXC containers.
> I suspect that LXC on Devuan always fails if /sbin/init in a container is
> systemd.

Maybe. I have just had a quick look at Debian's lxc bugs and there are a number
relating to failures with non-systemd inits. See #706676 and #869892 for
starters.

liblxc1 depends cgroupfs-mount | systemd. I have never used cgroupfs-mount or
lxc, but can you check the instructions in
/usr/share/doc/cgroupfs-mount/README.md particularly relating to removing other
cgroupfs mounts from /etc/fstab.

Does that help?

Mark